function [ShortCell] = GetColumnsGeneral3(LongCell,ShortCell)
%[ShortCell] = GetColumnsGeneral3(LongCell,ShortCell)
%Reads the case where ShortCell is actually longer then Longcell
%non matching cases have a value of -1.  Returns the index value 
%of the matching column
%
%INPUT
%LongCell = a cell array of strings that will be compared to ShortCell
%ShortCell = a cell array of string that will be compared to LongCell
%
%OUTPUT
%Shortcell = The first row of ShortCell contains the input cell array
%of strings while the second row contains the column number in LongCell
%that contains the same string and ShortCell
%
%Written by K. Steffen (ksteffen@unm.edu) at the University of New Mexico,
%Department of Earch and Planetary Science
%Copyright 2003 Kurt Steffen
%
%Last Modified June 17, 2003
[carp ColShortCell] = size(ShortCell);
[carp ColLongCell] = size(LongCell);
for k = 1:ColShortCell
    ShortCell(2,k) = {-1};
end
for k= 1:ColShortCell
    temp = ShortCell{1,k};
    for m = 1:ColLongCell  
        if strcmp(temp,LongCell{1,m})
            ShortCell(2,k) = {m};
            break
        end
        if  m == length(LongCell)
            ShortCell(2,k) = {-1};
        end    
    end
end